package com.chenyang.nse.bussiness.entity.vo.datascope;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import java.util.List;

@JsonIgnoreProperties(
   ignoreUnknown = true
)
public class TreeGridFiledDataVO {
   private String id;
   private String taskid;
   private String taskname;
   private String datasourceid;
   private String datasourcename;
   private String schema;
   private String table;
   private String name;
   private String rowkind;
   private String parentid;
   private List<String> datascopeid;
   private List<String> datascope;
   private List<String> sensitivelevelid;
   private List<String> sensitivelevel;
   private List<String> compliancedirectoryid;
   private List<String> compliancedirectory;
   private String columnChecked;
   private List<TreeGridFiledDataVO> children;

   public String getId() {
      return this.id;
   }

   public void setId(String id) {
      this.id = id;
   }

   public String getTaskid() {
      return this.taskid;
   }

   public void setTaskid(String taskid) {
      this.taskid = taskid;
   }

   public String getTaskname() {
      return this.taskname;
   }

   public void setTaskname(String taskname) {
      this.taskname = taskname;
   }

   public String getDatasourceid() {
      return this.datasourceid;
   }

   public void setDatasourceid(String datasourceid) {
      this.datasourceid = datasourceid;
   }

   public String getDatasourcename() {
      return this.datasourcename;
   }

   public void setDatasourcename(String datasourcename) {
      this.datasourcename = datasourcename;
   }

   public String getSchema() {
      return this.schema;
   }

   public void setSchema(String schema) {
      this.schema = schema;
   }

   public String getName() {
      return this.name;
   }

   public void setName(String name) {
      this.name = name;
   }

   public List<String> getDatascopeid() {
      return this.datascopeid;
   }

   public void setDatascopeid(List<String> datascopeid) {
      this.datascopeid = datascopeid;
   }

   public List<String> getDatascope() {
      return this.datascope;
   }

   public void setDatascope(List<String> datascope) {
      this.datascope = datascope;
   }

   public List<String> getSensitivelevelid() {
      return this.sensitivelevelid;
   }

   public void setSensitivelevelid(List<String> sensitivelevelid) {
      this.sensitivelevelid = sensitivelevelid;
   }

   public List<String> getSensitivelevel() {
      return this.sensitivelevel;
   }

   public void setSensitivelevel(List<String> sensitivelevel) {
      this.sensitivelevel = sensitivelevel;
   }

   public List<String> getCompliancedirectoryid() {
      return this.compliancedirectoryid;
   }

   public void setCompliancedirectoryid(List<String> compliancedirectoryid) {
      this.compliancedirectoryid = compliancedirectoryid;
   }

   public List<String> getCompliancedirectory() {
      return this.compliancedirectory;
   }

   public void setCompliancedirectory(List<String> compliancedirectory) {
      this.compliancedirectory = compliancedirectory;
   }

   public String getParentid() {
      return this.parentid;
   }

   public void setParentid(String parentid) {
      this.parentid = parentid;
   }

   public String getRowkind() {
      return this.rowkind;
   }

   public void setRowkind(String rowkind) {
      this.rowkind = rowkind;
   }

   public String getTable() {
      return this.table;
   }

   public void setTable(String table) {
      this.table = table;
   }

   public String getColumnChecked() {
      return this.columnChecked;
   }

   public void setColumnChecked(String columnChecked) {
      this.columnChecked = columnChecked;
   }

   public List<TreeGridFiledDataVO> getChildren() {
      return this.children;
   }

   public void setChildren(List<TreeGridFiledDataVO> children) {
      this.children = children;
   }
}
